GET https://api.fire.rest/api/v1/fire/external/stores/550e8400-e29b-41d4-a716-446655440000
x-api-key: <sua_api_key>
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"storeNumber": 10,
"storeCode": "ST-10",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"vendorId": "100.1.10",
"name": "Main Store",
"externalId": "EXT-10",
"status": "PUBLISHED",
"active": "ACTIVE",
"timezone": "America/Guayaquil",
"location": {
"countryId": "1",
"countryCode": "EC",
"countryName": "Ecuador",
"cityId": "2",
"cityCode": "UIO",
"cityName": "Quito",
"address": "Av. Amazonas N32-14",
"latitude": -0.18,
"longitude": -78.47,
"timezone": "America/Guayaquil",
"currencyCode": "USD"
},
"services": [],
"channels": [
{ "code": "APP", "enabled": true, "fulfillmentTypes": ["DELIVERY", "PICKUP"] }
],
"publishedChannels": ["APP"],
"operationSchedule": [],
"salesSchedule": [],
"schedulesByChannel": [],
"taxesInfo": { "taxRate": 0, "vatRatePercentage": 12 },
"contactInfo": { "phone": "+593 2 000 0000" },
"deliveryInfo": null,
"salesGoals": null,
"fiscal": {
"enabled": true,
"company": {
"govIdType": "RUC",
"govIdNumber": "1790012345001",
"legalName": "Sandbox Ecuador Cia. Ltda.",
"tradeName": "Sandbox EC"
},
"govIdType": "RUC",
"govIdNumber": "1790012345001",
"secondaryGovIdType": null,
"secondaryGovIdNumber": null,
"metadata": null
},
"operational": {
"isBusinessDayOpen": true,
"businessDayDate": "2026-07-01",
"activeChannels": ["APP"]
},
"syncStatus": "SYNCED",
"lastSyncedAt": "2026-07-01T00:00:00Z",
"createdAt": "2026-06-01T00:00:00Z",
"updatedAt": "2026-06-02T00:00:00Z"
}
{
"success": false,
"error": "NOT_FOUND",
"message": "Store not found with ID 550e8400-e29b-41d4-a716-446655440000"
}
API
Obter loja
Leia uma loja específica por id. A loja deve pertencer ao account e vendor da sua API key.
GET
/
api
/
v1
/
fire
/
external
/
stores
/
{storeId}
GET https://api.fire.rest/api/v1/fire/external/stores/550e8400-e29b-41d4-a716-446655440000
x-api-key: <sua_api_key>
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"storeNumber": 10,
"storeCode": "ST-10",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"vendorId": "100.1.10",
"name": "Main Store",
"externalId": "EXT-10",
"status": "PUBLISHED",
"active": "ACTIVE",
"timezone": "America/Guayaquil",
"location": {
"countryId": "1",
"countryCode": "EC",
"countryName": "Ecuador",
"cityId": "2",
"cityCode": "UIO",
"cityName": "Quito",
"address": "Av. Amazonas N32-14",
"latitude": -0.18,
"longitude": -78.47,
"timezone": "America/Guayaquil",
"currencyCode": "USD"
},
"services": [],
"channels": [
{ "code": "APP", "enabled": true, "fulfillmentTypes": ["DELIVERY", "PICKUP"] }
],
"publishedChannels": ["APP"],
"operationSchedule": [],
"salesSchedule": [],
"schedulesByChannel": [],
"taxesInfo": { "taxRate": 0, "vatRatePercentage": 12 },
"contactInfo": { "phone": "+593 2 000 0000" },
"deliveryInfo": null,
"salesGoals": null,
"fiscal": {
"enabled": true,
"company": {
"govIdType": "RUC",
"govIdNumber": "1790012345001",
"legalName": "Sandbox Ecuador Cia. Ltda.",
"tradeName": "Sandbox EC"
},
"govIdType": "RUC",
"govIdNumber": "1790012345001",
"secondaryGovIdType": null,
"secondaryGovIdNumber": null,
"metadata": null
},
"operational": {
"isBusinessDayOpen": true,
"businessDayDate": "2026-07-01",
"activeChannels": ["APP"]
},
"syncStatus": "SYNCED",
"lastSyncedAt": "2026-07-01T00:00:00Z",
"createdAt": "2026-06-01T00:00:00Z",
"updatedAt": "2026-06-02T00:00:00Z"
}
{
"success": false,
"error": "NOT_FOUND",
"message": "Store not found with ID 550e8400-e29b-41d4-a716-446655440000"
}
Retorna uma loja pelo seu id, com a configuração completa — o mesmo formato de cada entrada em
Listar lojas (location, services, channels, schedules, informações de
impostos e contato, configuração de delivery, metas de vendas, o bloco fiscal e o estado operacional).
Se a loja não existe — ou pertence a outro tenant — a resposta é
404 (a existência nunca é vazada
entre tenants).
Autenticação
string
obrigatório
Sua API key do Fire com scope
store:read. A key deve ser vendor-scoped — keys sem vendorId
são rejeitadas com 403.Path params
string
obrigatório
UUID da loja (
stores.id).Query params
string
Lista de campos a retornar separados por vírgula (projeção). Veja
Projeção de campos. Omita para retornar todos os campos.
Requisição
GET https://api.fire.rest/api/v1/fire/external/stores/550e8400-e29b-41d4-a716-446655440000
x-api-key: <sua_api_key>
Resposta
O objeto loja completo — veja Listar lojas para a referência completa de campos e o bloco fiscal.{
"id": "550e8400-e29b-41d4-a716-446655440000",
"storeNumber": 10,
"storeCode": "ST-10",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"vendorId": "100.1.10",
"name": "Main Store",
"externalId": "EXT-10",
"status": "PUBLISHED",
"active": "ACTIVE",
"timezone": "America/Guayaquil",
"location": {
"countryId": "1",
"countryCode": "EC",
"countryName": "Ecuador",
"cityId": "2",
"cityCode": "UIO",
"cityName": "Quito",
"address": "Av. Amazonas N32-14",
"latitude": -0.18,
"longitude": -78.47,
"timezone": "America/Guayaquil",
"currencyCode": "USD"
},
"services": [],
"channels": [
{ "code": "APP", "enabled": true, "fulfillmentTypes": ["DELIVERY", "PICKUP"] }
],
"publishedChannels": ["APP"],
"operationSchedule": [],
"salesSchedule": [],
"schedulesByChannel": [],
"taxesInfo": { "taxRate": 0, "vatRatePercentage": 12 },
"contactInfo": { "phone": "+593 2 000 0000" },
"deliveryInfo": null,
"salesGoals": null,
"fiscal": {
"enabled": true,
"company": {
"govIdType": "RUC",
"govIdNumber": "1790012345001",
"legalName": "Sandbox Ecuador Cia. Ltda.",
"tradeName": "Sandbox EC"
},
"govIdType": "RUC",
"govIdNumber": "1790012345001",
"secondaryGovIdType": null,
"secondaryGovIdNumber": null,
"metadata": null
},
"operational": {
"isBusinessDayOpen": true,
"businessDayDate": "2026-07-01",
"activeChannels": ["APP"]
},
"syncStatus": "SYNCED",
"lastSyncedAt": "2026-07-01T00:00:00Z",
"createdAt": "2026-06-01T00:00:00Z",
"updatedAt": "2026-06-02T00:00:00Z"
}
{
"success": false,
"error": "NOT_FOUND",
"message": "Store not found with ID 550e8400-e29b-41d4-a716-446655440000"
}
Relacionado
Listar lojas
Lista todas as lojas do seu account e vendor.
Listar pedidos da loja
Lista os pedidos desta loja.

